Index: trunk/SophyaLib/NTools/Makefile
===================================================================
--- trunk/SophyaLib/NTools/Makefile	(revision 2743)
+++ trunk/SophyaLib/NTools/Makefile	(revision 2751)
@@ -10,8 +10,9 @@
 	$(AR) $(ARFLAGS) $@ $? 
  
-$(SOPHYAOBJP)cimage.o: cimage.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h cimage.h \
-  $(SOPHYAINCP)tmatrix.h \
+$(SOPHYAOBJP)cimage.o: cimage.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  cimage.h $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tarray.h \
   $(SOPHYAINCP)basarr.h \
@@ -30,25 +31,30 @@
   $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)cspline.o: cspline.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nbtri.h cspline.h \
+  $(SOPHYAINCP)machdefs.h nbtri.h \
+  cspline.h \
   $(SOPHYAINCP)pexceptions.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)datatypes.o: datatypes.cc \
-  $(SOPHYAINCP)sopnamsp.h datatypes.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  datatypes.h \
   $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)dates.o: dates.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)dates.o: dates.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h dates.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)difeq.o: difeq.cc $(SOPHYAINCP)sopnamsp.h \
-  difeq.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  dates.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)difeq.o: difeq.cc \
+  $(SOPHYAINCP)sopnamsp.h difeq.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)tvector.h \
@@ -68,9 +74,10 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)ctimer.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)dynccd.o: dynccd.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h fmath.h perandom.h \
-  $(SOPHYAINCP)histos.h \
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)dynccd.o: dynccd.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h fmath.h \
+  perandom.h $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -92,103 +99,113 @@
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h nbrandom.h \
+  $(SOPHYAINCP)utilarr.h \
+  nbrandom.h \
   $(SOPHYAINCP)srandgen.h cimage.h \
   $(SOPHYAINCP)fioarr.h dynccd.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)fct1dfit.o: fct1dfit.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h fct1dfit.h \
-  generalfit.h $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h generaldata.h \
-  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h fmath.h nbconst.h \
-  tabmath.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h \
+  fct1dfit.h generalfit.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h \
+  peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h \
+  nbconst.h tabmath.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)fct2dfit.o: fct2dfit.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h fct2dfit.h \
-  generalfit.h $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h generaldata.h \
-  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h fmath.h nbconst.h \
-  tabmath.h simps2d.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h \
+  fct2dfit.h generalfit.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h \
+  peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h \
+  nbconst.h tabmath.h simps2d.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)fftmserver.o: fftmserver.cc \
-  $(SOPHYAINCP)sopnamsp.h fftmserver.h \
-  fftservintf.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tvector.h fftmayer.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)sopnamsp.h \
+  fftmserver.h fftservintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h \
+  fftmayer.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)fftpserver.o: fftpserver.cc \
-  $(SOPHYAINCP)sopnamsp.h fftpserver.h \
-  fftservintf.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tvector.h fftpackc.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)sopnamsp.h \
+  fftpserver.h fftservintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h \
+  fftpackc.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)fftservintf.o: fftservintf.cc \
-  $(SOPHYAINCP)sopnamsp.h fftservintf.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  fftservintf.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -208,8 +225,9 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)tvector.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)FSAppIrrSmpl.o: FSAppIrrSmpl.cc \
-  $(SOPHYAINCP)sopnamsp.h FSAppIrrSmpl.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  FSAppIrrSmpl.h \
   $(SOPHYAINCP)machdefs.h nbmath.h \
   $(SOPHYAINCP)smathconst.h \
@@ -234,16 +252,17 @@
   $(SOPHYAINCP)matharr.h \
   $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)sopemtx.h fftservintf.h \
-  fftpserver.h $(SOPHYAINCP)toeplitzMatrix.h \
+  $(SOPHYAINCP)sopemtx.h \
+  fftservintf.h fftpserver.h \
+  $(SOPHYAINCP)toeplitzMatrix.h \
   $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)fftservintf.h \
   $(SOPHYAINCP)fftpserver.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)functab.o: functab.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h functab.h \
-  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)pexceptions.h \
+  functab.h $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tarray.h \
@@ -260,5 +279,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)generaldata.o: generaldata.cc \
@@ -266,79 +285,87 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)strutil.h nbtri.h \
-  generalfit.h $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h generaldata.h \
-  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
-  $(SOPHYAINCP)utils.h \
+  generalfit.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h \
+  peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)generalfit.o: generalfit.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h generaldata.h \
-  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
-  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)pexceptions.h \
+  generalfit.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h \
+  peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
   $(SOPHYAINCP)sopemtx.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)integ.o: integ.cc $(SOPHYAINCP)sopnamsp.h \
-  integ.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h classfunc.h \
-  generalfit.h $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h generaldata.h \
-  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
-  $(SOPHYAINCP)utils.h \
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)integ.o: integ.cc \
+  $(SOPHYAINCP)sopnamsp.h integ.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  classfunc.h generalfit.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h \
+  peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)median.o: median.cc
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)ntoolsinit.o: ntoolsinit.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h ntoolsinit.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h poly.h \
@@ -350,6 +377,6 @@
   $(SOPHYAINCP)ppfbinstream.h \
   $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h peida.h \
-  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
   $(SOPHYAINCP)tvector.h \
@@ -360,12 +387,14 @@
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h generaldata.h \
+  $(SOPHYAINCP)utilarr.h \
+  generaldata.h \
   $(SOPHYAINCP)ntupintf.h cimage.h \
-  $(SOPHYAINCP)fioarr.h tabmath.h nbconst.h \
-  dates.h datime.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)fioarr.h tabmath.h \
+  nbconst.h dates.h datime.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)objfitter.o: objfitter.cc \
-  $(SOPHYAINCP)sopnamsp.h objfitter.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  objfitter.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tmatrix.h \
@@ -392,14 +421,15 @@
   $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)hisprof.h generalfit.h \
-  generaldata.h $(SOPHYAINCP)ntupintf.h \
-  poly.h peida.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)hisprof.h \
+  generalfit.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h \
+  peida.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)perandom.o: perandom.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h perandom.h \
-  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)pexceptions.h \
+  perandom.h $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -420,9 +450,11 @@
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h nbrandom.h \
+  $(SOPHYAINCP)utilarr.h \
+  nbrandom.h \
   $(SOPHYAINCP)srandgen.h pemath.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)poly.o: poly.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)poly.o: poly.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h poly.h \
   $(SOPHYAINCP)objfio.h \
@@ -433,6 +465,6 @@
   $(SOPHYAINCP)ppfbinstream.h \
   $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h peida.h \
-  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
   $(SOPHYAINCP)tvector.h \
@@ -446,10 +478,11 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)fioarr.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)rk4cdifeq.o: rk4cdifeq.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h rk4cdifeq.h \
-  difeq.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
+  rk4cdifeq.h difeq.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)tmatrix.h \
@@ -468,59 +501,68 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)ctimer.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)simplesort.o: simplesort.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h simplesort.h \
-  peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)machdefs.h \
+  simplesort.h peida.h \
+  $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h fmath.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)pexceptions.h \
+  fmath.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)simplex.o: simplex.cc \
-  $(SOPHYAINCP)sopnamsp.h simplex.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h generalfit.h \
-  generaldata.h $(SOPHYAINCP)ntupintf.h \
-  poly.h peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  simplex.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  generalfit.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h \
+  peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
   $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)tabmath.o: tabmath.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h tabmath.h peida.h \
+  $(SOPHYAINCP)machdefs.h \
+  tabmath.h peida.h \
   $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h fmath.h \
-  nbconst.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)datime.o: datime.c $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)strutil.h nbconst.h datime.h
+  $(SOPHYAINCP)pexceptions.h \
+  fmath.h nbconst.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)datime.o: datime.c \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)strutil.h nbconst.h \
+  datime.h
 	$(CCOMPILE) -o $@ $<
  
 $(SOPHYAOBJP)fftmayer_r4.o: fftmayer_r4.c fftmayer.h \
-  $(SOPHYAINCP)machdefs.h trigtbl.h
+  $(SOPHYAINCP)machdefs.h \
+  trigtbl.h
 	$(CCOMPILE) -o $@ $<
  
 $(SOPHYAOBJP)fftmayer_r8.o: fftmayer_r8.c fftmayer.h \
-  $(SOPHYAINCP)machdefs.h trigtbl.h
+  $(SOPHYAINCP)machdefs.h \
+  trigtbl.h
 	$(CCOMPILE) -o $@ $<
  
@@ -536,6 +578,6 @@
 $(SOPHYAOBJP)nbmath.o: nbmath.c nbmath.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)smathconst.h matxop.h \
-  nbinteg.h nbtri.h
+  $(SOPHYAINCP)smathconst.h \
+  matxop.h nbinteg.h nbtri.h
 	$(CCOMPILE) -o $@ $<
  
Index: trunk/SophyaLib/NTools/smakefile
===================================================================
--- trunk/SophyaLib/NTools/smakefile	(revision 2743)
+++ trunk/SophyaLib/NTools/smakefile	(revision 2751)
@@ -10,8 +10,9 @@
 	$(AR) $(ARFLAGS) $@ $? 
  
-$(SOPHYAOBJP)cimage.o: cimage.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h cimage.h \
-  $(SOPHYAINCP)tmatrix.h \
+$(SOPHYAOBJP)cimage.o: cimage.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  cimage.h $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tarray.h \
   $(SOPHYAINCP)basarr.h \
@@ -30,25 +31,30 @@
   $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)cspline.o: cspline.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nbtri.h cspline.h \
+  $(SOPHYAINCP)machdefs.h nbtri.h \
+  cspline.h \
   $(SOPHYAINCP)pexceptions.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)datatypes.o: datatypes.cc \
-  $(SOPHYAINCP)sopnamsp.h datatypes.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  datatypes.h \
   $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)dates.o: dates.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)dates.o: dates.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h dates.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)difeq.o: difeq.cc $(SOPHYAINCP)sopnamsp.h \
-  difeq.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  dates.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)difeq.o: difeq.cc \
+  $(SOPHYAINCP)sopnamsp.h difeq.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)tvector.h \
@@ -68,9 +74,10 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)ctimer.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)dynccd.o: dynccd.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h fmath.h perandom.h \
-  $(SOPHYAINCP)histos.h \
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)dynccd.o: dynccd.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h fmath.h \
+  perandom.h $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -92,103 +99,113 @@
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h nbrandom.h \
+  $(SOPHYAINCP)utilarr.h \
+  nbrandom.h \
   $(SOPHYAINCP)srandgen.h cimage.h \
   $(SOPHYAINCP)fioarr.h dynccd.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)fct1dfit.o: fct1dfit.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h fct1dfit.h \
-  generalfit.h $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h generaldata.h \
-  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h fmath.h nbconst.h \
-  tabmath.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h \
+  fct1dfit.h generalfit.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h \
+  peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h \
+  nbconst.h tabmath.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)fct2dfit.o: fct2dfit.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h fct2dfit.h \
-  generalfit.h $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h generaldata.h \
-  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h fmath.h nbconst.h \
-  tabmath.h simps2d.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h \
+  fct2dfit.h generalfit.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h \
+  peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h fmath.h \
+  nbconst.h tabmath.h simps2d.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)fftmserver.o: fftmserver.cc \
-  $(SOPHYAINCP)sopnamsp.h fftmserver.h \
-  fftservintf.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tvector.h fftmayer.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)sopnamsp.h \
+  fftmserver.h fftservintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h \
+  fftmayer.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)fftpserver.o: fftpserver.cc \
-  $(SOPHYAINCP)sopnamsp.h fftpserver.h \
-  fftservintf.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tvector.h fftpackc.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)sopnamsp.h \
+  fftpserver.h fftservintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tvector.h \
+  fftpackc.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)fftservintf.o: fftservintf.cc \
-  $(SOPHYAINCP)sopnamsp.h fftservintf.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  fftservintf.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -208,8 +225,9 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)tvector.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)FSAppIrrSmpl.o: FSAppIrrSmpl.cc \
-  $(SOPHYAINCP)sopnamsp.h FSAppIrrSmpl.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  FSAppIrrSmpl.h \
   $(SOPHYAINCP)machdefs.h nbmath.h \
   $(SOPHYAINCP)smathconst.h \
@@ -234,16 +252,17 @@
   $(SOPHYAINCP)matharr.h \
   $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)sopemtx.h fftservintf.h \
-  fftpserver.h $(SOPHYAINCP)toeplitzMatrix.h \
+  $(SOPHYAINCP)sopemtx.h \
+  fftservintf.h fftpserver.h \
+  $(SOPHYAINCP)toeplitzMatrix.h \
   $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)fftservintf.h \
   $(SOPHYAINCP)fftpserver.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)functab.o: functab.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h functab.h \
-  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)pexceptions.h \
+  functab.h $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tarray.h \
@@ -260,5 +279,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)generaldata.o: generaldata.cc \
@@ -266,79 +285,87 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)strutil.h nbtri.h \
-  generalfit.h $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h generaldata.h \
-  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
-  $(SOPHYAINCP)utils.h \
+  generalfit.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h \
+  peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)generalfit.o: generalfit.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h generaldata.h \
-  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
-  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)pexceptions.h \
+  generalfit.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h \
+  peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
   $(SOPHYAINCP)sopemtx.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)integ.o: integ.cc $(SOPHYAINCP)sopnamsp.h \
-  integ.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h classfunc.h \
-  generalfit.h $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h generaldata.h \
-  $(SOPHYAINCP)ntupintf.h poly.h peida.h \
-  $(SOPHYAINCP)utils.h \
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)integ.o: integ.cc \
+  $(SOPHYAINCP)sopnamsp.h integ.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  classfunc.h generalfit.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h \
+  peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)median.o: median.cc
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)ntoolsinit.o: ntoolsinit.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h ntoolsinit.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h poly.h \
@@ -350,6 +377,6 @@
   $(SOPHYAINCP)ppfbinstream.h \
   $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h peida.h \
-  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
   $(SOPHYAINCP)tvector.h \
@@ -360,12 +387,14 @@
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h generaldata.h \
+  $(SOPHYAINCP)utilarr.h \
+  generaldata.h \
   $(SOPHYAINCP)ntupintf.h cimage.h \
-  $(SOPHYAINCP)fioarr.h tabmath.h nbconst.h \
-  dates.h datime.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)fioarr.h tabmath.h \
+  nbconst.h dates.h datime.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)objfitter.o: objfitter.cc \
-  $(SOPHYAINCP)sopnamsp.h objfitter.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  objfitter.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tmatrix.h \
@@ -392,14 +421,15 @@
   $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)hisprof.h generalfit.h \
-  generaldata.h $(SOPHYAINCP)ntupintf.h \
-  poly.h peida.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)hisprof.h \
+  generalfit.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h \
+  peida.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)perandom.o: perandom.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h perandom.h \
-  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)pexceptions.h \
+  perandom.h $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -420,9 +450,11 @@
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h nbrandom.h \
+  $(SOPHYAINCP)utilarr.h \
+  nbrandom.h \
   $(SOPHYAINCP)srandgen.h pemath.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)poly.o: poly.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)poly.o: poly.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h poly.h \
   $(SOPHYAINCP)objfio.h \
@@ -433,6 +465,6 @@
   $(SOPHYAINCP)ppfbinstream.h \
   $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h peida.h \
-  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
   $(SOPHYAINCP)tvector.h \
@@ -446,10 +478,11 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)fioarr.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)rk4cdifeq.o: rk4cdifeq.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h rk4cdifeq.h \
-  difeq.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
+  rk4cdifeq.h difeq.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)tmatrix.h \
@@ -468,59 +501,68 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)ctimer.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)simplesort.o: simplesort.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h simplesort.h \
-  peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)machdefs.h \
+  simplesort.h peida.h \
+  $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h fmath.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)pexceptions.h \
+  fmath.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)simplex.o: simplex.cc \
-  $(SOPHYAINCP)sopnamsp.h simplex.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h generalfit.h \
-  generaldata.h $(SOPHYAINCP)ntupintf.h \
-  poly.h peida.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  simplex.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  generalfit.h generaldata.h \
+  $(SOPHYAINCP)ntupintf.h poly.h \
+  peida.h $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h fmath.h \
   $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)tabmath.o: tabmath.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h tabmath.h peida.h \
+  $(SOPHYAINCP)machdefs.h \
+  tabmath.h peida.h \
   $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h fmath.h \
-  nbconst.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)datime.o: datime.c $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)strutil.h nbconst.h datime.h
+  $(SOPHYAINCP)pexceptions.h \
+  fmath.h nbconst.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)datime.o: datime.c \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)strutil.h nbconst.h \
+  datime.h
 	$(CCOMPILE) -o $@ $<
  
 $(SOPHYAOBJP)fftmayer_r4.o: fftmayer_r4.c fftmayer.h \
-  $(SOPHYAINCP)machdefs.h trigtbl.h
+  $(SOPHYAINCP)machdefs.h \
+  trigtbl.h
 	$(CCOMPILE) -o $@ $<
  
 $(SOPHYAOBJP)fftmayer_r8.o: fftmayer_r8.c fftmayer.h \
-  $(SOPHYAINCP)machdefs.h trigtbl.h
+  $(SOPHYAINCP)machdefs.h \
+  trigtbl.h
 	$(CCOMPILE) -o $@ $<
  
@@ -536,6 +578,6 @@
 $(SOPHYAOBJP)nbmath.o: nbmath.c nbmath.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)smathconst.h matxop.h \
-  nbinteg.h nbtri.h
+  $(SOPHYAINCP)smathconst.h \
+  matxop.h nbinteg.h nbtri.h
 	$(CCOMPILE) -o $@ $<
  
